Page MenuHomePhabricator

RfC: AuthManager
Closed, ResolvedPublic

Description

Discuss and decide on AuthManager RfC

Event Timeline

bd808 created this task.Feb 27 2015, 7:32 PM
bd808 raised the priority of this task from to Needs Triage.
bd808 updated the task description. (Show Details)
bd808 added a subscriber: bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 7:32 PM
daniel assigned this task to Legoktm.Feb 27 2015, 9:10 PM
daniel reassigned this task from Legoktm to bd808.
daniel moved this task from Inbox to Under discussion on the TechCom-RFC board.
daniel added a subscriber: Legoktm.
daniel added a subscriber: daniel.
Anomie added a subscriber: Anomie.Feb 27 2015, 9:22 PM
bd808 added a comment.Mar 2 2015, 7:45 PM

@daniel We would like to request an IRC discussion of this RfC at the earliest convenience of the committee

Action items from the IRC meeting:

  • SMalyshev is concerned about lack of model/controller split (TimStarling, 21:32:16)
  • several people would like to see interface definitions (TimStarling, 21:32:34)
  • no serious problems in principle given the current level of detail (TimStarling, 21:33:52)
This comment was removed by Spage.
daniel moved this task from Under discussion to Backlog on the TechCom-RFC board.Mar 18 2015, 8:36 PM
bd808 added a subscriber: csteipp.Mar 18 2015, 8:40 PM

@Anomie has a work in progress patch at https://gerrit.wikimedia.org/r/#/c/195297/ which defines interfaces and is starting to flesh out additional details of the implementation.

@csteipp has produced a state diagram of the proposed workflow that is now included in the RfC.

bd808 triaged this task as Normal priority.Apr 9 2015, 12:27 AM
Tgr added a subscriber: Tgr.Aug 26 2015, 7:00 AM

Can this be marked resolved, or should we have another round of comments? AuthManager is pretty close to being fully implemented now.

Anomie closed this task as Resolved.Aug 26 2015, 3:10 PM

Yeah, let's close this one.

FYI the RfC was never marked approved on the wiki page nor in TechCom-RFC. on the RfC text, see T89459#2289662 .

Restricted Application added a project: User-bd808. · View Herald TranscriptMay 12 2016, 4:40 PM
bd808 moved this task from To Do to Archive on the User-bd808 board.May 20 2016, 11:44 PM